Subject: Re: [PATCH] net/sched: cls_flower: reject ETH_ADDRS match on devices without L2 header

From: Jakub Kicinski <[email-masked]>
Date: Fri, 5 Jun 2026 18:52:17 -0700

On Wed, 3 Jun 2026 18:11:35 +0800 Yun Zhou wrote:
> Fix this at the source by preventing nonsensical filter configurations
> rather than adding bounds checks in the hot classification path.

That's obviously preferable but we'd need much more code to make it
work. The TC action blocks can be shared between arbitrary devices.
I'm kinda surprised we can even get to a real device from the block,
but either way I think the check you're adding is meaningless?
-- 
pw-bot: cr